API Reference
Log In
API Reference

Record a rewardable event

Example of a rewardable event

Only userId and dataType are required. All other fields are optional.

{
   "userId": "15",
   "dataType": "betExecuted",
   "eventId": "test",
   "body": {
      "betType": "single",
      "odds": 5.2,
      "description": "Just a cool bet",
      "wagerAmount": 1500,
      "netProfit": 1500,
      "outcome": "win",
      "betDate": 1678933476000,
      "bets": [
         {
            "type": "spread",
            "odds": 5.2,
            "teamBetOn": "Bulls",
            "teamBetAgainst": "Huricane",
            "league": "NBA",
            "sport": "Basketball"
         }
      ]
   }
}
Body Params
string
required

User id to send the event to

string
required

The type of the event, has to be consistent with the body. If custom event type doesn't exist - it will be automatically created

string

The id of the event, if not provided - it will be generated. Has to be unique for every event. Events with the same ID will be ignored

body
object

The body of the event, can be anything. Body has to be consistent with the dataType

Headers
string
required
Defaults to staging

Namespace

string

Version

Responses

Language
Credentials
Header
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json